{% load static %}

<nav class="navbar navbar-expand-lg">
    <div class="container">
        <div id="logo" class="w-25">
            <a class="navbar-brand" href="{% url 'home' %}">
                <img class="img-fluid" src="{% static 'images/AF_logo.png' %}" alt="logo">
            </a>
        </div>
        <div class="pt-5">
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link fs-3" href="{% url 'v_updated' %}">Video</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link fs-3" href="{% url 'forum' %}">Forum</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link fs-3" href="{% url 'premium' %}">Premium</a>
                    </li>
                </ul>

                <form class="d-flex searchbar ui-widget mx-4" action="{% url 'v_anime_detail' %}" method="get">
                    <input id="search-anime" class="form-control border-0 rounded-0" type="search"
                           placeholder="Search anime" aria-label="Search">
                    <input id="watch-anime" type="hidden" name="watch">
                    <button class="btn rounded-0" type="submit">
                        <img class="img-fluid" src="{% static 'icons/search.svg' %}" alt="search-icon">
                    </button>
                    <div id="menu-anime"></div>
                </form>

                {% if user.is_authenticated %}
                    <div id="bookmark" class="text-center me-3">
                        <a href="{% url 'myAnimeList' %}" class="btn p-0">
                            <img class="img-fluid" src="{% static 'icons/bookmark.svg' %}" alt="bookmark-icon">
                        </a>
                        <p class="m-0">MY LIST</p>
                    </div>

                    <div class="dropdown">
                        <a class="btn profile-icon dropdown-toggle" role="button" id="dropdownMenuLink"
                           data-bs-toggle="dropdown" aria-expanded="false">
                            <img class="img-fluid" src="{% static 'icons/person-circle.svg' %}" alt="profile-icon">
                        </a>

                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                            <li><a class="dropdown-item" href="{% url 'profile' %}">Profile</a></li>
                            <li><a class="dropdown-item" href="{% url 'logout' %}">Logout</a></li>
                        </ul>
                    </div>
                {% else %}
                    <a class="btn login-icon" href="{% url 'login' %}">
                        <img class="img-fluid" src="{% static 'icons/person-circle.svg' %}" alt="login-icon">
                    </a>
                {% endif %}
            </div>
        </div>
    </div>
</nav>

<script>
    let animes = []
    {% for item in allAnime %}
        animes.push({'label':'{{ item.titolo }}', 'value':'{{ item.id }}'})
    {% endfor %}

    $('#search-anime').autocomplete({
        source: animes,
        appendTo: '#menu-anime',
        select: function (event, ui) {
            event.preventDefault();
            $('#watch-anime').val(ui.item.value);
        },
        focus: function (event, ui) {
            event.preventDefault()
            $(this).val(ui.item.label)
        }
    });
</script>